/*
Theme Name: Trikon Child
Theme URI: http://trikon.novaworks.net
Description: This is a child theme for Trikon Theme.
Author: Novaworks
Author URI: http://www.novaworks.net/
Template: trikon
Version: 1.0
*/

/****************************************************************/
/*************** ADD YOUR CUSTOM CSS IN THIS AREA ***************/
/****************************************************************/


.htecom-custom-slide-text .kitify-bannerlist__content-inner {
    transform: translate(-50%, -50%) !important;
}

.htecom-counter-custom .elementor-counter-number-suffix {
	font-size: 16px;
	line-height: 1;
	display: flex;
	align-items: end;
	transform: translateY(-18px);
}
.hte-custom-slider-fac .swiper-wrapper {
	column-gap: 30px !important;
	@media (max-width: 767px) {
		column-gap: 20px !important;
	}
}

.elementor-button-link .elementor-align-icon-right {
	order: 2;
	margin-left: 10px;
}
.hte-btn-text-left-1 .elementor-button-text {
	text-align: left !important;
}

.woocommerce-shop .product-item .product-item__description--info .price {
	display: none !important;
}

.hte-custom-view-bgr {
	position: relative;
	&:after {
		position: absolute;
    	content: '';
    	top: 0;
    	left: 0;
    	width: 100%;
    	height: 100%;
    	background-color: rgba(21, 57, 112, .5);
    	z-index: 1;
    	transition: all .3s;
    	opacity: 0;
	}
	&:hover&:after {
		opacity: 1;
	}
}


.hte-contact-btn {
	color: #303294;
	font-size: 14px;
	font-weight: 600;
	font-family: 'Inter', serif;
	margin-top: -12px;
    display: block;
    &:hover {
    	color: #00A650;
    }
}
.single-product ul.products li.product {
	padding-bottom: 20px;
}
.single-product .product-item__badges .onsale,
.single-product .price {
	display: none !important;
}




/* Style Gtranslate */
#gt_float_wrapper {
    .gt_float_switcher {
        position: relative;
        border-radius: 50px;
        font-size: 16px;
        font-family: "Open Sans", sans-serif;
        overflow: inherit !important;
        box-shadow: none;
        .gt-selected {
            background-color: $primary_color;
            border-radius: 50px;
        }
        .gt-current-lang {
            padding: 8px 21px 8px 0;
            border: 1px solid #EEEEEE;
            border-radius: 33px;
            img {
                display: none;
            }
            &:before {
                content: "";
                position: absolute;
                top: 50%;
                transform: translateY(-50%);
                width: 14px;
                height: 14px;
/*                background: url("/wp-content/uploads/2025/12/globe-03.svg") no-repeat center;*/
                background-size: contain;
            }
            > .gt-lang-code {
                padding-left: 25px;
            }
        }
        .gt-lang-code {
            color: #121212;
            font-size: 14px;
            font-weight: 400;
        }
        img {
            width: 26px;
            border-radius: 3px;
        }
    }
}
/* Danh sách dropdown Language */
#gt_float_wrapper .gt_options {
    display: none;
    position: absolute;
    top: 110%;
    right: 0;
    background: #fff;
    border: 1px solid #ddd;
    border-radius: 6px;
    min-width: 160px;
    padding: 5px 5px;
}
#gt_float_wrapper .gt_options a {
    display: flex;
    align-items: center;
    gap: 8px;
    color: #333;
    text-decoration: none;
    transition: background 0.2s;
    font-size: 15px;
    color: #121212;
    font-weight: 500;
    font-family: "Open Sans", sans-serif;
    img {
        display: none !important;
    }
}
#gt_float_wrapper .gt_options a:hover {
    background: #f0f0f0;
}
#gt_float_wrapper.open .gt_options {
    display: block !important;
}


/****************************************************************/
/****************************************************************/
/****************************************************************/



/* Popup overlay */
.popup-overlay {
  position: fixed;
  inset: 0;
  background: rgba(0, 0, 0, 0.6);
  display: none !important;
  z-index: 9999;

  /* center content */
  align-items: center;
  justify-content: center;
}

/* Show popup */
.popup-overlay.active {
  display: flex !important;
}

/* Popup box */
.popup-content {
  background: #fff;
  max-width: 1245px;
  width: 90%;
  max-height: 90vh;
  overflow-y: auto;
  position: relative;
  border-radius: 8px;
}

/* Close button */
.hte-popup-close {
  position: absolute;
  top: 10px;
  right: 15px;
  cursor: pointer;
  font-size: 28px;
  line-height: 1;
  cursor: pointer;
  z-index: 99;
  transition: all .22;
}
.hte-popup-close:hover {
    color: red;
}

.hte-popup-loading {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  min-height: 300px;
  text-align: center;
}

.hte-spinner {
  width: 40px;
  height: 40px;
  border: 4px solid #ddd;
  border-top-color: #000;
  border-radius: 50%;
  animation: hte-spin 0.8s linear infinite;
  margin-bottom: 12px;
}

@keyframes hte-spin {
  to { transform: rotate(360deg); }
}


























